Debian Bug report logs - #570611
RFP: mythtv -- A personal video recorder application

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: amejia@debian.org

Date: Sat, 20 Feb 2010 06:27:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-mythtv-maintainers@lists.alioth.debian.org, ubuntu-mythtv@lists.ubuntu.com, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-mythtv-maintainers@lists.alioth.debian.org, ubuntu-mythtv@lists.ubuntu.com, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sat, 20 Feb 2010 06:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 01:25:51 -0500
Package: wnpp
Severity: wishlist
Owner: Andres Mejia <mcitadel@gmail.com>

* Package name    : mythtv
  Version         : 0.22
  Upstream Author : Isaac Richards <ijr@po.cwru.edu>
* URL             : http://www.mythtv.org/
* License         : GPL-2
  Programming Lang: C, C++, Perl, Python,
  Description     : A personal video recorder application

MythTV is a PVR (Personal Video Recorder) application that implements the
following, and more, with a unified graphical interface:

 - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing

NOTE: The old ITP (bug #311367) has long been closed and the
pkg-mythtv-maintainers team seem to be dead (they haven't responded to an email
I've sent some time ago [1]). This will be another attempt at getting MythTV
into Debian. I will be basing the packaging from the packages that are currently
distributed through Ubuntu.

Some work has already been done towards getting mythtv into Debian. Take a look
at
Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git

For a start, I've already implemented a way for mythtv to build and run with
system libraries for ffmpeg, version >= 4:0.6~~svn20100124-1, which will be the
next ffmpeg upstream version to be uploaded. Next would be to have mythtv work
with FFMpeg from the 0.5 branch in SVN (like the current packages in sid). This
would than follow with having mythtv use libmp3lame via dlopen. There's also
an interest upstream to use vorbis as a replacement/alternative to mp3.

1. http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-June/000532.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 07:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Feb 2010 07:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: ubuntu-mythtv@lists.ubuntu.com
Cc: 570611@bugs.debian.org
Subject: Re: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 01:56:15 -0500
On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Andres Mejia <mcitadel@gmail.com>
> 
> * Package name    : mythtv
>   Version         : 0.22
>   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
> * URL             : http://www.mythtv.org/
> * License         : GPL-2
>   Programming Lang: C, C++, Perl, Python,
>   Description     : A personal video recorder application
> 
> MythTV is a PVR (Personal Video Recorder) application that implements the
> following, and more, with a unified graphical interface:
> 
>  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
>  - Video compression using RTjpeg or MPEG-4
>  - Program listing retrieval using XMLTV
>  - Themable, semi-transparent on-screen display
>  - Electronic program guide
>  - Scheduled recording of TV programs
>  - Resolution of conflicts between scheduled recordings
>  - Basic video editing
> 
> NOTE: The old ITP (bug #311367) has long been closed and the
> pkg-mythtv-maintainers team seem to be dead (they haven't responded to an
>  email I've sent some time ago [1]). This will be another attempt at
>  getting MythTV into Debian. I will be basing the packaging from the
>  packages that are currently distributed through Ubuntu.
> 
> Some work has already been done towards getting mythtv into Debian. Take a
>  look at
> Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
> Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
> 
> For a start, I've already implemented a way for mythtv to build and run
>  with system libraries for ffmpeg, version >= 4:0.6~~svn20100124-1, which
>  will be the next ffmpeg upstream version to be uploaded. Next would be to
>  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the current
>  packages in sid). This would than follow with having mythtv use libmp3lame
>  via dlopen. There's also an interest upstream to use vorbis as a
>  replacement/alternative to mp3.
> 
> 1.
>  http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-June/
> 000532.html
> 

Just to be clear, I don't mean this to be replacing the current packaging from 
Ubuntu solely to make it work for Debian. I intend the packaging to be 
configurable so that the appropriate configure options, build dependencies, and 
so on will be implemented for Debian and Ubuntu.

I do look forward to working with you all :)

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 07:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Limonciello <superm1@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>. (Sat, 20 Feb 2010 07:03:07 GMT) Full text and rfc822 format available.

Message #15 received at 570611@bugs.debian.org (full text, mbox):

From: Mario Limonciello <superm1@ubuntu.com>
To: "Ubuntu's MythTV & Mythbuntu teams" <ubuntu-mythtv@lists.ubuntu.com>
Cc: 570611@bugs.debian.org
Subject: Re: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 01:01:20 -0600
[Message part 1 (text/plain, inline)]
Hi Andres:

I appreciate this effort!  If we can really see this to a reality, I'll
gladly help push more of the ubuntu specific things that are making mythtv a
good experience on Ubuntu up to Debian.

I'm a little worried however on using the system ffmpeg.  Upstream frowns
upon this currently, so I think it's best to make sure that the solution
that is developed has their approval / works properly.  Solving the
dlopen'ing of lame may be a better short term goal with upstream.

On Sat, Feb 20, 2010 at 00:56, Andres Mejia <mcitadel@gmail.com> wrote:

> On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Andres Mejia <mcitadel@gmail.com>
> >
> > * Package name    : mythtv
> >   Version         : 0.22
> >   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
> > * URL             : http://www.mythtv.org/
> > * License         : GPL-2
> >   Programming Lang: C, C++, Perl, Python,
> >   Description     : A personal video recorder application
> >
> > MythTV is a PVR (Personal Video Recorder) application that implements the
> > following, and more, with a unified graphical interface:
> >
> >  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
> >  - Video compression using RTjpeg or MPEG-4
> >  - Program listing retrieval using XMLTV
> >  - Themable, semi-transparent on-screen display
> >  - Electronic program guide
> >  - Scheduled recording of TV programs
> >  - Resolution of conflicts between scheduled recordings
> >  - Basic video editing
> >
> > NOTE: The old ITP (bug #311367) has long been closed and the
> > pkg-mythtv-maintainers team seem to be dead (they haven't responded to an
> >  email I've sent some time ago [1]). This will be another attempt at
> >  getting MythTV into Debian. I will be basing the packaging from the
> >  packages that are currently distributed through Ubuntu.
> >
> > Some work has already been done towards getting mythtv into Debian. Take
> a
> >  look at
> > Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
> > Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
> >
> > For a start, I've already implemented a way for mythtv to build and run
> >  with system libraries for ffmpeg, version >= 4:0.6~~svn20100124-1, which
> >  will be the next ffmpeg upstream version to be uploaded. Next would be
> to
> >  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the
> current
> >  packages in sid). This would than follow with having mythtv use
> libmp3lame
> >  via dlopen. There's also an interest upstream to use vorbis as a
> >  replacement/alternative to mp3.
> >
> > 1.
> >
> http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-June/
> > 000532.html
> >
>
> Just to be clear, I don't mean this to be replacing the current packaging
> from
> Ubuntu solely to make it work for Debian. I intend the packaging to be
> configurable so that the appropriate configure options, build dependencies,
> and
> so on will be implemented for Debian and Ubuntu.
>
> I do look forward to working with you all :)
>
> --
> Regards,
> Andres
>
> --
> Ubuntu-mythtv mailing list
> Ubuntu-mythtv@lists.ubuntu.com
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
>



-- 
Mario Limonciello
superm1@gmail.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 07:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Limonciello <superm1@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>. (Sat, 20 Feb 2010 07:51:02 GMT) Full text and rfc822 format available.

Message #20 received at 570611@bugs.debian.org (full text, mbox):

From: Mario Limonciello <superm1@ubuntu.com>
To: "Ubuntu's MythTV & Mythbuntu teams" <ubuntu-mythtv@lists.ubuntu.com>
Cc: 570611@bugs.debian.org
Subject: Re: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 01:50:04 -0600
[Message part 1 (text/plain, inline)]
Andres:

Additionally; i'd recommend you do this for a 0.23 based build.  They're
doing RC next week and targeting release next month, so it would make more
sense to be able to support that (especially since patches on top of /
replacing ffmpeg will change significantly I expect)

On Sat, Feb 20, 2010 at 01:01, Mario Limonciello <superm1@ubuntu.com> wrote:

> Hi Andres:
>
> I appreciate this effort!  If we can really see this to a reality, I'll
> gladly help push more of the ubuntu specific things that are making mythtv a
> good experience on Ubuntu up to Debian.
>
> I'm a little worried however on using the system ffmpeg.  Upstream frowns
> upon this currently, so I think it's best to make sure that the solution
> that is developed has their approval / works properly.  Solving the
> dlopen'ing of lame may be a better short term goal with upstream.
>
>
> On Sat, Feb 20, 2010 at 00:56, Andres Mejia <mcitadel@gmail.com> wrote:
>
>> On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
>> > Package: wnpp
>> > Severity: wishlist
>> > Owner: Andres Mejia <mcitadel@gmail.com>
>> >
>> > * Package name    : mythtv
>> >   Version         : 0.22
>> >   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
>> > * URL             : http://www.mythtv.org/
>> > * License         : GPL-2
>> >   Programming Lang: C, C++, Perl, Python,
>> >   Description     : A personal video recorder application
>> >
>> > MythTV is a PVR (Personal Video Recorder) application that implements
>> the
>> > following, and more, with a unified graphical interface:
>> >
>> >  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
>> >  - Video compression using RTjpeg or MPEG-4
>> >  - Program listing retrieval using XMLTV
>> >  - Themable, semi-transparent on-screen display
>> >  - Electronic program guide
>> >  - Scheduled recording of TV programs
>> >  - Resolution of conflicts between scheduled recordings
>> >  - Basic video editing
>> >
>> > NOTE: The old ITP (bug #311367) has long been closed and the
>> > pkg-mythtv-maintainers team seem to be dead (they haven't responded to
>> an
>> >  email I've sent some time ago [1]). This will be another attempt at
>> >  getting MythTV into Debian. I will be basing the packaging from the
>> >  packages that are currently distributed through Ubuntu.
>> >
>> > Some work has already been done towards getting mythtv into Debian. Take
>> a
>> >  look at
>> > Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
>> > Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
>> >
>> > For a start, I've already implemented a way for mythtv to build and run
>> >  with system libraries for ffmpeg, version >= 4:0.6~~svn20100124-1,
>> which
>> >  will be the next ffmpeg upstream version to be uploaded. Next would be
>> to
>> >  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the
>> current
>> >  packages in sid). This would than follow with having mythtv use
>> libmp3lame
>> >  via dlopen. There's also an interest upstream to use vorbis as a
>> >  replacement/alternative to mp3.
>> >
>> > 1.
>> >
>> http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-June/
>> > 000532.html
>> >
>>
>> Just to be clear, I don't mean this to be replacing the current packaging
>> from
>> Ubuntu solely to make it work for Debian. I intend the packaging to be
>> configurable so that the appropriate configure options, build
>> dependencies, and
>> so on will be implemented for Debian and Ubuntu.
>>
>> I do look forward to working with you all :)
>>
>> --
>> Regards,
>> Andres
>>
>> --
>> Ubuntu-mythtv mailing list
>> Ubuntu-mythtv@lists.ubuntu.com
>> Modify settings or unsubscribe at:
>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
>>
>
>
>
> --
> Mario Limonciello
> superm1@gmail.com
>



-- 
Mario Limonciello
superm1@gmail.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>. (Sat, 20 Feb 2010 08:57:06 GMT) Full text and rfc822 format available.

Message #25 received at 570611@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Andres Mejia <mcitadel@gmail.com>
Cc: 570611@bugs.debian.org
Subject: Re: [Pkg-mythtv-maintainers] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 19:50:24 +1100
[Message part 1 (text/plain, inline)]
On Saturday 20 February 2010 17:25:51 Andres Mejia wrote:
>  This
> would than follow with having mythtv use libmp3lame via dlopen. There's also
> an interest upstream to use vorbis as a replacement/alternative to mp3.


Andres,

Very keen to see this happen, the major issues previously were MP3 encoding and decoding.

I originally proposed using libmad (decoder) and libtwolame (MP2 encoder).

If you can have that wipped then it could be a possibility.

Happy to assist if what ever way possible, you can also use the pkg-mythtv-maintainers if you wish..

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 16:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Feb 2010 16:42:08 GMT) Full text and rfc822 format available.

Message #30 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: pkg-mythtv-maintainers@lists.alioth.debian.org
Cc: 570611@bugs.debian.org
Subject: Re: [Pkg-mythtv-maintainers] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 11:39:24 -0500
On Saturday 20 February 2010 03:50:24 Mark Purcell wrote:
> On Saturday 20 February 2010 17:25:51 Andres Mejia wrote:
> >  This
> > would than follow with having mythtv use libmp3lame via dlopen. There's
> > also an interest upstream to use vorbis as a replacement/alternative to
> > mp3.
> 
> Andres,
> 
> Very keen to see this happen, the major issues previously were MP3 encoding
>  and decoding.
> 
> I originally proposed using libmad (decoder) and libtwolame (MP2 encoder).
> 
> If you can have that wipped then it could be a possibility.
> 
> Happy to assist if what ever way possible, you can also use the
>  pkg-mythtv-maintainers if you wish..
> 
> Mark
> 

Would you sponsor me? I'm not a DD yet, just a DM. Also, I've sent a request 
to join the pkg-mythtv-maintainers team on alioth some time ago. I still 
haven't got a response. I've been able to join the mailing list however.

As far as the mp3 issue, aside from a dlopened libmp3lame, ffmpeg does mp3 
decoding and mp2 encoding so it's probably better to use ffmpeg anyway.

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Feb 2010 16:45:06 GMT) Full text and rfc822 format available.

Message #35 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: ubuntu-mythtv@lists.ubuntu.com
Cc: 570611@bugs.debian.org
Subject: Re: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 11:43:16 -0500
On Saturday 20 February 2010 02:50:04 Mario Limonciello wrote:
> Andres:
> 
> Additionally; i'd recommend you do this for a 0.23 based build.  They're
> doing RC next week and targeting release next month, so it would make more
> sense to be able to support that (especially since patches on top of /
> replacing ffmpeg will change significantly I expect)

OK. I'll use the orig tarball from Ubuntu than, at least up until upstream 
delivers tarballs for the RC packages.

> On Sat, Feb 20, 2010 at 01:01, Mario Limonciello <superm1@ubuntu.com> wrote:
> > Hi Andres:
> >
> > I appreciate this effort!  If we can really see this to a reality, I'll
> > gladly help push more of the ubuntu specific things that are making
> > mythtv a good experience on Ubuntu up to Debian.
> >
> > I'm a little worried however on using the system ffmpeg.  Upstream frowns
> > upon this currently, so I think it's best to make sure that the solution
> > that is developed has their approval / works properly.  Solving the
> > dlopen'ing of lame may be a better short term goal with upstream.
> >
> > On Sat, Feb 20, 2010 at 00:56, Andres Mejia <mcitadel@gmail.com> wrote:
> >> On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
> >> > Package: wnpp
> >> > Severity: wishlist
> >> > Owner: Andres Mejia <mcitadel@gmail.com>
> >> >
> >> > * Package name    : mythtv
> >> >   Version         : 0.22
> >> >   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
> >> > * URL             : http://www.mythtv.org/
> >> > * License         : GPL-2
> >> >   Programming Lang: C, C++, Perl, Python,
> >> >   Description     : A personal video recorder application
> >> >
> >> > MythTV is a PVR (Personal Video Recorder) application that implements
> >>
> >> the
> >>
> >> > following, and more, with a unified graphical interface:
> >> >
> >> >  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
> >> >  - Video compression using RTjpeg or MPEG-4
> >> >  - Program listing retrieval using XMLTV
> >> >  - Themable, semi-transparent on-screen display
> >> >  - Electronic program guide
> >> >  - Scheduled recording of TV programs
> >> >  - Resolution of conflicts between scheduled recordings
> >> >  - Basic video editing
> >> >
> >> > NOTE: The old ITP (bug #311367) has long been closed and the
> >> > pkg-mythtv-maintainers team seem to be dead (they haven't responded to
> >>
> >> an
> >>
> >> >  email I've sent some time ago [1]). This will be another attempt at
> >> >  getting MythTV into Debian. I will be basing the packaging from the
> >> >  packages that are currently distributed through Ubuntu.
> >> >
> >> > Some work has already been done towards getting mythtv into Debian.
> >> > Take
> >>
> >> a
> >>
> >> >  look at
> >> > Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
> >> > Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
> >> >
> >> > For a start, I've already implemented a way for mythtv to build and
> >> > run with system libraries for ffmpeg, version >= 4:0.6~~svn20100124-1,
> >>
> >> which
> >>
> >> >  will be the next ffmpeg upstream version to be uploaded. Next would
> >> > be
> >>
> >> to
> >>
> >> >  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the
> >>
> >> current
> >>
> >> >  packages in sid). This would than follow with having mythtv use
> >>
> >> libmp3lame
> >>
> >> >  via dlopen. There's also an interest upstream to use vorbis as a
> >> >  replacement/alternative to mp3.
> >> >
> >> > 1.
> >>
> >> http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-Jun
> >>e/
> >>
> >> > 000532.html
> >>
> >> Just to be clear, I don't mean this to be replacing the current
> >> packaging from
> >> Ubuntu solely to make it work for Debian. I intend the packaging to be
> >> configurable so that the appropriate configure options, build
> >> dependencies, and
> >> so on will be implemented for Debian and Ubuntu.
> >>
> >> I do look forward to working with you all :)
> >>
> >> --
> >> Regards,
> >> Andres
> >>
> >> --
> >> Ubuntu-mythtv mailing list
> >> Ubuntu-mythtv@lists.ubuntu.com
> >> Modify settings or unsubscribe at:
> >> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
> >
> > --
> > Mario Limonciello
> > superm1@gmail.com
> 

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 17:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Limonciello <superm1@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>. (Sat, 20 Feb 2010 17:33:10 GMT) Full text and rfc822 format available.

Message #40 received at 570611@bugs.debian.org (full text, mbox):

From: Mario Limonciello <superm1@ubuntu.com>
To: "Ubuntu's MythTV & Mythbuntu teams" <ubuntu-mythtv@lists.ubuntu.com>
Cc: 570611@bugs.debian.org
Subject: Re: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 11:32:22 -0600
[Message part 1 (text/plain, inline)]
Since it's a git server, is it possible to import upstream svn instead?
 Maybe would that work better and allow pulling in their commits more
easily?

On Sat, Feb 20, 2010 at 10:43, Andres Mejia <mcitadel@gmail.com> wrote:

> On Saturday 20 February 2010 02:50:04 Mario Limonciello wrote:
> > Andres:
> >
> > Additionally; i'd recommend you do this for a 0.23 based build.  They're
> > doing RC next week and targeting release next month, so it would make
> more
> > sense to be able to support that (especially since patches on top of /
> > replacing ffmpeg will change significantly I expect)
>
> OK. I'll use the orig tarball from Ubuntu than, at least up until upstream
> delivers tarballs for the RC packages.
>
> > On Sat, Feb 20, 2010 at 01:01, Mario Limonciello <superm1@ubuntu.com>
> wrote:
> > > Hi Andres:
> > >
> > > I appreciate this effort!  If we can really see this to a reality, I'll
> > > gladly help push more of the ubuntu specific things that are making
> > > mythtv a good experience on Ubuntu up to Debian.
> > >
> > > I'm a little worried however on using the system ffmpeg.  Upstream
> frowns
> > > upon this currently, so I think it's best to make sure that the
> solution
> > > that is developed has their approval / works properly.  Solving the
> > > dlopen'ing of lame may be a better short term goal with upstream.
> > >
> > > On Sat, Feb 20, 2010 at 00:56, Andres Mejia <mcitadel@gmail.com>
> wrote:
> > >> On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
> > >> > Package: wnpp
> > >> > Severity: wishlist
> > >> > Owner: Andres Mejia <mcitadel@gmail.com>
> > >> >
> > >> > * Package name    : mythtv
> > >> >   Version         : 0.22
> > >> >   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
> > >> > * URL             : http://www.mythtv.org/
> > >> > * License         : GPL-2
> > >> >   Programming Lang: C, C++, Perl, Python,
> > >> >   Description     : A personal video recorder application
> > >> >
> > >> > MythTV is a PVR (Personal Video Recorder) application that
> implements
> > >>
> > >> the
> > >>
> > >> > following, and more, with a unified graphical interface:
> > >> >
> > >> >  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live"
> TV.
> > >> >  - Video compression using RTjpeg or MPEG-4
> > >> >  - Program listing retrieval using XMLTV
> > >> >  - Themable, semi-transparent on-screen display
> > >> >  - Electronic program guide
> > >> >  - Scheduled recording of TV programs
> > >> >  - Resolution of conflicts between scheduled recordings
> > >> >  - Basic video editing
> > >> >
> > >> > NOTE: The old ITP (bug #311367) has long been closed and the
> > >> > pkg-mythtv-maintainers team seem to be dead (they haven't responded
> to
> > >>
> > >> an
> > >>
> > >> >  email I've sent some time ago [1]). This will be another attempt at
> > >> >  getting MythTV into Debian. I will be basing the packaging from the
> > >> >  packages that are currently distributed through Ubuntu.
> > >> >
> > >> > Some work has already been done towards getting mythtv into Debian.
> > >> > Take
> > >>
> > >> a
> > >>
> > >> >  look at
> > >> > Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
> > >> > Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
> > >> >
> > >> > For a start, I've already implemented a way for mythtv to build and
> > >> > run with system libraries for ffmpeg, version >=
> 4:0.6~~svn20100124-1,
> > >>
> > >> which
> > >>
> > >> >  will be the next ffmpeg upstream version to be uploaded. Next would
> > >> > be
> > >>
> > >> to
> > >>
> > >> >  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the
> > >>
> > >> current
> > >>
> > >> >  packages in sid). This would than follow with having mythtv use
> > >>
> > >> libmp3lame
> > >>
> > >> >  via dlopen. There's also an interest upstream to use vorbis as a
> > >> >  replacement/alternative to mp3.
> > >> >
> > >> > 1.
> > >>
> > >>
> http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-Jun
> > >>e/
> > >>
> > >> > 000532.html
> > >>
> > >> Just to be clear, I don't mean this to be replacing the current
> > >> packaging from
> > >> Ubuntu solely to make it work for Debian. I intend the packaging to be
> > >> configurable so that the appropriate configure options, build
> > >> dependencies, and
> > >> so on will be implemented for Debian and Ubuntu.
> > >>
> > >> I do look forward to working with you all :)
> > >>
> > >> --
> > >> Regards,
> > >> Andres
> > >>
> > >> --
> > >> Ubuntu-mythtv mailing list
> > >> Ubuntu-mythtv@lists.ubuntu.com
> > >> Modify settings or unsubscribe at:
> > >> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
> > >
> > > --
> > > Mario Limonciello
> > > superm1@gmail.com
> >
>
> --
> Regards,
> Andres
>
> --
> Ubuntu-mythtv mailing list
> Ubuntu-mythtv@lists.ubuntu.com
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
>



-- 
Mario Limonciello
superm1@gmail.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Sat, 20 Feb 2010 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Feb 2010 22:51:06 GMT) Full text and rfc822 format available.

Message #45 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: "Ubuntu's MythTV & Mythbuntu teams" <ubuntu-mythtv@lists.ubuntu.com>
Cc: 570611@bugs.debian.org
Subject: Re: Bug#570611: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 20 Feb 2010 17:48:06 -0500
On Sat, Feb 20, 2010 at 12:32 PM, Mario Limonciello <superm1@ubuntu.com> wrote:
> Since it's a git server, is it possible to import upstream svn instead?

Yes it is, since you can just use git-svn.

>  Maybe would that work better and allow pulling in their commits more
> easily?
> On Sat, Feb 20, 2010 at 10:43, Andres Mejia <mcitadel@gmail.com> wrote:
>>
>> On Saturday 20 February 2010 02:50:04 Mario Limonciello wrote:
>> > Andres:
>> >
>> > Additionally; i'd recommend you do this for a 0.23 based build.  They're
>> > doing RC next week and targeting release next month, so it would make
>> > more
>> > sense to be able to support that (especially since patches on top of /
>> > replacing ffmpeg will change significantly I expect)
>>
>> OK. I'll use the orig tarball from Ubuntu than, at least up until upstream
>> delivers tarballs for the RC packages.
>>
>> > On Sat, Feb 20, 2010 at 01:01, Mario Limonciello <superm1@ubuntu.com>
>> > wrote:
>> > > Hi Andres:
>> > >
>> > > I appreciate this effort!  If we can really see this to a reality,
>> > > I'll
>> > > gladly help push more of the ubuntu specific things that are making
>> > > mythtv a good experience on Ubuntu up to Debian.
>> > >
>> > > I'm a little worried however on using the system ffmpeg.  Upstream
>> > > frowns
>> > > upon this currently, so I think it's best to make sure that the
>> > > solution
>> > > that is developed has their approval / works properly.  Solving the
>> > > dlopen'ing of lame may be a better short term goal with upstream.
>> > >
>> > > On Sat, Feb 20, 2010 at 00:56, Andres Mejia <mcitadel@gmail.com>
>> > > wrote:
>> > >> On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
>> > >> > Package: wnpp
>> > >> > Severity: wishlist
>> > >> > Owner: Andres Mejia <mcitadel@gmail.com>
>> > >> >
>> > >> > * Package name    : mythtv
>> > >> >   Version         : 0.22
>> > >> >   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
>> > >> > * URL             : http://www.mythtv.org/
>> > >> > * License         : GPL-2
>> > >> >   Programming Lang: C, C++, Perl, Python,
>> > >> >   Description     : A personal video recorder application
>> > >> >
>> > >> > MythTV is a PVR (Personal Video Recorder) application that
>> > >> > implements
>> > >>
>> > >> the
>> > >>
>> > >> > following, and more, with a unified graphical interface:
>> > >> >
>> > >> >  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live"
>> > >> > TV.
>> > >> >  - Video compression using RTjpeg or MPEG-4
>> > >> >  - Program listing retrieval using XMLTV
>> > >> >  - Themable, semi-transparent on-screen display
>> > >> >  - Electronic program guide
>> > >> >  - Scheduled recording of TV programs
>> > >> >  - Resolution of conflicts between scheduled recordings
>> > >> >  - Basic video editing
>> > >> >
>> > >> > NOTE: The old ITP (bug #311367) has long been closed and the
>> > >> > pkg-mythtv-maintainers team seem to be dead (they haven't responded
>> > >> > to
>> > >>
>> > >> an
>> > >>
>> > >> >  email I've sent some time ago [1]). This will be another attempt
>> > >> > at
>> > >> >  getting MythTV into Debian. I will be basing the packaging from
>> > >> > the
>> > >> >  packages that are currently distributed through Ubuntu.
>> > >> >
>> > >> > Some work has already been done towards getting mythtv into Debian.
>> > >> > Take
>> > >>
>> > >> a
>> > >>
>> > >> >  look at
>> > >> > Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
>> > >> > Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
>> > >> >
>> > >> > For a start, I've already implemented a way for mythtv to build and
>> > >> > run with system libraries for ffmpeg, version >=
>> > >> > 4:0.6~~svn20100124-1,
>> > >>
>> > >> which
>> > >>
>> > >> >  will be the next ffmpeg upstream version to be uploaded. Next
>> > >> > would
>> > >> > be
>> > >>
>> > >> to
>> > >>
>> > >> >  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the
>> > >>
>> > >> current
>> > >>
>> > >> >  packages in sid). This would than follow with having mythtv use
>> > >>
>> > >> libmp3lame
>> > >>
>> > >> >  via dlopen. There's also an interest upstream to use vorbis as a
>> > >> >  replacement/alternative to mp3.
>> > >> >
>> > >> > 1.
>> > >>
>> > >>
>> > >> http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-Jun
>> > >>e/
>> > >>
>> > >> > 000532.html
>> > >>
>> > >> Just to be clear, I don't mean this to be replacing the current
>> > >> packaging from
>> > >> Ubuntu solely to make it work for Debian. I intend the packaging to
>> > >> be
>> > >> configurable so that the appropriate configure options, build
>> > >> dependencies, and
>> > >> so on will be implemented for Debian and Ubuntu.
>> > >>
>> > >> I do look forward to working with you all :)
>> > >>
>> > >> --
>> > >> Regards,
>> > >> Andres
>> > >>
>> > >> --
>> > >> Ubuntu-mythtv mailing list
>> > >> Ubuntu-mythtv@lists.ubuntu.com
>> > >> Modify settings or unsubscribe at:
>> > >> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
>> > >
>> > > --
>> > > Mario Limonciello
>> > > superm1@gmail.com
>> >
>>
>> --
>> Regards,
>> Andres
>>
>> --
>> Ubuntu-mythtv mailing list
>> Ubuntu-mythtv@lists.ubuntu.com
>> Modify settings or unsubscribe at:
>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
>
>
>
> --
> Mario Limonciello
> superm1@gmail.com
>



-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#570611; Package wnpp. (Sun, 21 Feb 2010 02:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teppo Kirjavainen <teppokir@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 21 Feb 2010 02:18:05 GMT) Full text and rfc822 format available.


Message #50 received at 570611@bugs.debian.org (full text, mbox):

From: Teppo Kirjavainen <teppokir@gmail.com>
To: 570611@bugs.debian.org
Date: Sun, 21 Feb 2010 04:16:25 +0200
Hey

I haven't seen http://debian-multimedia.org/ mentioned here. 

There is pretty uptodate version of mythtv among other packages, I guess, 
maintained by Christian Marillat. It might be good to consult him to minimize 
the risk of duplicated effort.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Sun, 21 Feb 2010 07:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Feb 2010 07:48:08 GMT) Full text and rfc822 format available.

Message #55 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: ubuntu-mythtv@lists.ubuntu.com
Cc: 570611@bugs.debian.org
Subject: Re: [ubuntu-mythtv] Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sun, 21 Feb 2010 02:31:46 -0500
On Saturday 20 February 2010 02:50:04 Mario Limonciello wrote:
> Andres:
> 
> Additionally; i'd recommend you do this for a 0.23 based build.  They're
> doing RC next week and targeting release next month, so it would make more
> sense to be able to support that (especially since patches on top of /
> replacing ffmpeg will change significantly I expect)

Ok. Well I removed the patch to use system ffmpeg as there were some other 
issues that would need considerably more work to have mythtv properly use 
system ffmpeg. I think I'll retry that once a much newer version of ffmpeg gets 
uploaded to sid.

I've imported the orig tarball from Ubuntu's mythtv packages into the git repo 
and am going to start on a dlopened mp3lame instead.

> On Sat, Feb 20, 2010 at 01:01, Mario Limonciello <superm1@ubuntu.com> wrote:
> > Hi Andres:
> >
> > I appreciate this effort!  If we can really see this to a reality, I'll
> > gladly help push more of the ubuntu specific things that are making
> > mythtv a good experience on Ubuntu up to Debian.
> >
> > I'm a little worried however on using the system ffmpeg.  Upstream frowns
> > upon this currently, so I think it's best to make sure that the solution
> > that is developed has their approval / works properly.  Solving the
> > dlopen'ing of lame may be a better short term goal with upstream.
> >
> > On Sat, Feb 20, 2010 at 00:56, Andres Mejia <mcitadel@gmail.com> wrote:
> >> On Saturday 20 February 2010 01:25:51 Andres Mejia wrote:
> >> > Package: wnpp
> >> > Severity: wishlist
> >> > Owner: Andres Mejia <mcitadel@gmail.com>
> >> >
> >> > * Package name    : mythtv
> >> >   Version         : 0.22
> >> >   Upstream Author : Isaac Richards <ijr@po.cwru.edu>
> >> > * URL             : http://www.mythtv.org/
> >> > * License         : GPL-2
> >> >   Programming Lang: C, C++, Perl, Python,
> >> >   Description     : A personal video recorder application
> >> >
> >> > MythTV is a PVR (Personal Video Recorder) application that implements
> >>
> >> the
> >>
> >> > following, and more, with a unified graphical interface:
> >> >
> >> >  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
> >> >  - Video compression using RTjpeg or MPEG-4
> >> >  - Program listing retrieval using XMLTV
> >> >  - Themable, semi-transparent on-screen display
> >> >  - Electronic program guide
> >> >  - Scheduled recording of TV programs
> >> >  - Resolution of conflicts between scheduled recordings
> >> >  - Basic video editing
> >> >
> >> > NOTE: The old ITP (bug #311367) has long been closed and the
> >> > pkg-mythtv-maintainers team seem to be dead (they haven't responded to
> >>
> >> an
> >>
> >> >  email I've sent some time ago [1]). This will be another attempt at
> >> >  getting MythTV into Debian. I will be basing the packaging from the
> >> >  packages that are currently distributed through Ubuntu.
> >> >
> >> > Some work has already been done towards getting mythtv into Debian.
> >> > Take
> >>
> >> a
> >>
> >> >  look at
> >> > Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
> >> > Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git
> >> >
> >> > For a start, I've already implemented a way for mythtv to build and
> >> > run with system libraries for ffmpeg, version >= 4:0.6~~svn20100124-1,
> >>
> >> which
> >>
> >> >  will be the next ffmpeg upstream version to be uploaded. Next would
> >> > be
> >>
> >> to
> >>
> >> >  have mythtv work with FFMpeg from the 0.5 branch in SVN (like the
> >>
> >> current
> >>
> >> >  packages in sid). This would than follow with having mythtv use
> >>
> >> libmp3lame
> >>
> >> >  via dlopen. There's also an interest upstream to use vorbis as a
> >> >  replacement/alternative to mp3.
> >> >
> >> > 1.
> >>
> >> http://lists.alioth.debian.org/pipermail/pkg-mythtv-maintainers/2009-Jun
> >>e/
> >>
> >> > 000532.html
> >>
> >> Just to be clear, I don't mean this to be replacing the current
> >> packaging from
> >> Ubuntu solely to make it work for Debian. I intend the packaging to be
> >> configurable so that the appropriate configure options, build
> >> dependencies, and
> >> so on will be implemented for Debian and Ubuntu.
> >>
> >> I do look forward to working with you all :)
> >>
> >> --
> >> Regards,
> >> Andres
> >>
> >> --
> >> Ubuntu-mythtv mailing list
> >> Ubuntu-mythtv@lists.ubuntu.com
> >> Modify settings or unsubscribe at:
> >> https://lists.ubuntu.com/mailman/listinfo/ubuntu-mythtv
> >
> > --
> > Mario Limonciello
> > superm1@gmail.com
> 

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Mon, 22 Feb 2010 14:33:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 22 Feb 2010 14:33:31 GMT) Full text and rfc822 format available.

Message #60 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: pkg-mythtv-maintainers@lists.alioth.debian.org
Cc: 570611@bugs.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, ubuntu-mythtv@lists.ubuntu.com
Subject: Re: Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Mon, 22 Feb 2010 09:32:19 -0500
On Saturday 20 February 2010 03:50:24 Mark Purcell wrote:
> On Saturday 20 February 2010 17:25:51 Andres Mejia wrote:
> >  This
> > would than follow with having mythtv use libmp3lame via dlopen. There's
> > also an interest upstream to use vorbis as a replacement/alternative to
> > mp3.
> 
> Andres,
> 
> Very keen to see this happen, the major issues previously were MP3 encoding
>  and decoding.
> 
> I originally proposed using libmad (decoder) and libtwolame (MP2 encoder).
> 
> If you can have that wipped then it could be a possibility.
> 
> Happy to assist if what ever way possible, you can also use the
>  pkg-mythtv-maintainers if you wish..
> 
> Mark
> 

Ok, I've implemented an initial patch that will get mythtv using libmp3lame 
via dlopen. You can find the packaging at
Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git

It seems to me mythtv only used libmp3lame for encoding, so there's no need 
for a decoder. I could work on this some more where mythtv falls back to using 
libtwolame in case libmp3lame is missing.

Any feedback is welcome. :)

-- 
Regards,
Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>:
Bug#570611; Package wnpp. (Tue, 23 Feb 2010 22:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andres Mejia <mcitadel@gmail.com>. (Tue, 23 Feb 2010 22:42:07 GMT) Full text and rfc822 format available.

Message #65 received at 570611@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Andres Mejia <mcitadel@gmail.com>, 570611@bugs.debian.org
Subject: Re: Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Tue, 23 Feb 2010 16:39:44 -0600
Andres Mejia wrote:
> Some work has already been done towards getting mythtv into Debian. Take a look
> at
> Vcs-Git: git://git.debian.org/git/collab-maint/mythtv.git
> Vcs-Browser: http://git.debian.org/?p=collab-maint/mythtv.git

You might take a look at the packages on debian-multimedia.org, which
have been around for some years now.

-- John




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#570611; Package wnpp. (Thu, 25 Nov 2010 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 25 Nov 2010 16:51:06 GMT) Full text and rfc822 format available.

Message #70 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 570611@bugs.debian.org
Subject: ITP: mythtv -- A personal video recorder application (status update)
Date: Thu, 25 Nov 2010 11:47:07 -0500
Just a small update.

I'm mainly waiting to see if lame will enter Debian or not to see if I should 
worry about modifying mythtv to dlopen lame.

Also, mythtv would have to use system ffmpeg to be suitable for Debian.

That's it for now.

1. http://ftp-master.debian.org/new/lame_3.98.4-1.html

-- 
Regards,
Andres Mejia




Changed Bug submitter to 'amejia@debian.org' from 'Andres Mejia <mcitadel@gmail.com>' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 17 Jul 2011 18:45:03 GMT) Full text and rfc822 format available.

Owner changed from Andres Mejia <mcitadel@gmail.com> to amejia@debian.org. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 17 Jul 2011 18:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Fri, 29 Jul 2011 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Fri, 29 Jul 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #79 received at 570611@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: 570611@bugs.debian.org
Subject: LAME now in Debian
Date: Fri, 29 Jul 2011 15:03:33 -0700
As of the recent clearing of the NEW queue
(http://blog.schmehl.info/Debian/NEW-empty), it looks like LAME and x264
both made it into Debian.  That should make MythTV packaging much
easier.

- Josh Triplett




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Tue, 17 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Tue, 17 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Message #84 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: 570611@bugs.debian.org
Subject: ITP: mythtv -- A personal video recorder application
Date: Mon, 16 Jan 2012 20:10:36 -0500
[Message part 1 (text/plain, inline)]
One other thing was mythtv's use of an internal ffmpeg. It needs to be able
to use system ffmpeg/libav libraries before it can be uploaded to Debian.

At least with Debian/Ubuntu, it needs to run with system libav.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sat, 21 Apr 2012 22:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sat, 21 Apr 2012 22:57:06 GMT) Full text and rfc822 format available.

Message #89 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Josh Triplett <josh@joshtriplett.org>, 669920@bugs.debian.org
Cc: 570611@bugs.debian.org
Subject: Re: Bug#669920: Please provide a backport for squeeze
Date: Sat, 21 Apr 2012 18:53:57 -0400
On Sat, Apr 21, 2012 at 6:10 PM, Josh Triplett <josh@joshtriplett.org> wrote:
> Package: libcrystalhd-dev
> Severity: wishlist
>
> Please consider providing a backport of libcrystalhd-dev for squeeze.
> Such a backport would make it easier to prepare MythTV packages for
> squeeze.
>
> Thanks,
> Josh Triplett
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
> Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
>

Hi Josh,
Were you trying to package MythTV to unstable at all? IMO that should
be done first before attempting to upload for squeeze (i.e. actually
get accepted, get tested in unstable, migrate to testing, then
backport to stable).

How was the packaging going to be done? Were you using the Ubuntu
packaging of MythTV as a baseline?

-- 
~ Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sun, 22 Apr 2012 00:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 22 Apr 2012 00:51:06 GMT) Full text and rfc822 format available.

Message #94 received at 570611@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Andres Mejia <amejia004@gmail.com>
Cc: 669920@bugs.debian.org, 570611@bugs.debian.org
Subject: Re: Bug#669920: Please provide a backport for squeeze
Date: Sat, 21 Apr 2012 17:46:17 -0700
On Sat, Apr 21, 2012 at 06:53:57PM -0400, Andres Mejia wrote:
> On Sat, Apr 21, 2012 at 6:10 PM, Josh Triplett <josh@joshtriplett.org> wrote:
> > Package: libcrystalhd-dev
> > Severity: wishlist
> >
> > Please consider providing a backport of libcrystalhd-dev for squeeze.
> > Such a backport would make it easier to prepare MythTV packages for
> > squeeze.
> >
> > Thanks,
> > Josh Triplett
> >
> > -- System Information:
> > Debian Release: wheezy/sid
> >  APT prefers unstable
> >  APT policy: (500, 'unstable'), (1, 'experimental')
> > Architecture: amd64 (x86_64)
> >
> > Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
> > Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
> > Shell: /bin/sh linked to /bin/dash
> >
> >
> 
> Hi Josh,
> Were you trying to package MythTV to unstable at all? IMO that should
> be done first before attempting to upload for squeeze (i.e. actually
> get accepted, get tested in unstable, migrate to testing, then
> backport to stable).

At the moment I'm just building some local packages, not official
backports.  I'd love to see official MythTV packages, and I'd be happy
to help work on them, but that wasn't my goal at the moment.

- Josh Triplett




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sun, 22 Apr 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 22 Apr 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #99 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Josh Triplett <josh@joshtriplett.org>
Cc: 669920@bugs.debian.org, 570611@bugs.debian.org, pkg-mythtv-maintainers@lists.alioth.debian.org
Subject: Re: Bug#669920: Please provide a backport for squeeze
Date: Sun, 22 Apr 2012 00:49:24 -0400
On Sat, Apr 21, 2012 at 8:46 PM, Josh Triplett <josh@joshtriplett.org> wrote:
> On Sat, Apr 21, 2012 at 06:53:57PM -0400, Andres Mejia wrote:
>> On Sat, Apr 21, 2012 at 6:10 PM, Josh Triplett <josh@joshtriplett.org> wrote:
>> > Package: libcrystalhd-dev
>> > Severity: wishlist
>> >
>> > Please consider providing a backport of libcrystalhd-dev for squeeze.
>> > Such a backport would make it easier to prepare MythTV packages for
>> > squeeze.
>> >
>> > Thanks,
>> > Josh Triplett
>> >
>> > -- System Information:
>> > Debian Release: wheezy/sid
>> >  APT prefers unstable
>> >  APT policy: (500, 'unstable'), (1, 'experimental')
>> > Architecture: amd64 (x86_64)
>> >
>> > Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
>> > Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
>> > Shell: /bin/sh linked to /bin/dash
>> >
>> >
>>
>> Hi Josh,
>> Were you trying to package MythTV to unstable at all? IMO that should
>> be done first before attempting to upload for squeeze (i.e. actually
>> get accepted, get tested in unstable, migrate to testing, then
>> backport to stable).
>
> At the moment I'm just building some local packages, not official
> backports.  I'd love to see official MythTV packages, and I'd be happy
> to help work on them, but that wasn't my goal at the moment.
>
> - Josh Triplett

I recommend starting off by porting the Ubuntu packaging of MythTV to
Debian. I presume if these are local packages, you're using reprepro
or something similar to host a local archive. In such a case, you may
as well build packages of libcrystalhd and upload them to your local
archive. Then you can build mythtv.

Note that mythtv is using it's own copy of ffmpeg. It needs to be
modified so it can build/run with system libav before it can be
uploaded to Debian. If that's something you're interested in doing, by
all means, feel free to modify mythtv source tree, and preferably work
with mythtv upstream to pass along patches.

-- 
~ Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sun, 22 Apr 2012 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 22 Apr 2012 05:45:03 GMT) Full text and rfc822 format available.

Message #104 received at 570611@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Andres Mejia <amejia004@gmail.com>
Cc: 570611@bugs.debian.org, Josh Triplett <josh@joshtriplett.org>, 669920@bugs.debian.org, pkg-mythtv-maintainers@lists.alioth.debian.org
Subject: Re: Bug#570611: Bug#669920: Please provide a backport for squeeze
Date: Sun, 22 Apr 2012 07:40:30 +0200
Andres Mejia <amejia004@gmail.com> writes:

[...]

> I recommend starting off by porting the Ubuntu packaging of MythTV to
> Debian. I presume if these are local packages, you're using reprepro
> or something similar to host a local archive. In such a case, you may
> as well build packages of libcrystalhd and upload them to your local
> archive. Then you can build mythtv.

It is a joke ? MythTV packages for Debian exist since 2002 packaged by
Matt Zimmerman and by me since 2005 and you ignore this work ?

Don't be surprised if I continue to package MythTV in my repository.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sun, 22 Apr 2012 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 22 Apr 2012 09:36:04 GMT) Full text and rfc822 format available.

Message #109 received at 570611@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Andres Mejia <amejia004@gmail.com>
Cc: 669920@bugs.debian.org, 570611@bugs.debian.org, pkg-mythtv-maintainers@lists.alioth.debian.org
Subject: Re: Bug#669920: Please provide a backport for squeeze
Date: Sun, 22 Apr 2012 02:33:18 -0700
On Sun, Apr 22, 2012 at 12:49:24AM -0400, Andres Mejia wrote:
> On Sat, Apr 21, 2012 at 8:46 PM, Josh Triplett <josh@joshtriplett.org> wrote:
> > On Sat, Apr 21, 2012 at 06:53:57PM -0400, Andres Mejia wrote:
> >> On Sat, Apr 21, 2012 at 6:10 PM, Josh Triplett <josh@joshtriplett.org> wrote:
> >> > Package: libcrystalhd-dev
> >> > Severity: wishlist
> >> >
> >> > Please consider providing a backport of libcrystalhd-dev for squeeze.
> >> > Such a backport would make it easier to prepare MythTV packages for
> >> > squeeze.
> >> >
> >> > Thanks,
> >> > Josh Triplett
> >> >
> >> > -- System Information:
> >> > Debian Release: wheezy/sid
> >> >  APT prefers unstable
> >> >  APT policy: (500, 'unstable'), (1, 'experimental')
> >> > Architecture: amd64 (x86_64)
> >> >
> >> > Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
> >> > Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
> >> > Shell: /bin/sh linked to /bin/dash
> >> >
> >> >
> >>
> >> Hi Josh,
> >> Were you trying to package MythTV to unstable at all? IMO that should
> >> be done first before attempting to upload for squeeze (i.e. actually
> >> get accepted, get tested in unstable, migrate to testing, then
> >> backport to stable).
> >
> > At the moment I'm just building some local packages, not official
> > backports.  I'd love to see official MythTV packages, and I'd be happy
> > to help work on them, but that wasn't my goal at the moment.
> >
> > - Josh Triplett
> 
> I recommend starting off by porting the Ubuntu packaging of MythTV to
> Debian.

I actually started from the debian-multimedia packaging, and hacked out
all the bits that depended on packages outside of Debian, as well as
dependency cruft that applied to previous versions but not to the
current version.  I've managed to successfully build working squeeze
packages at this point, which only depend on packages in Debian to build
and run; installing them requires a couple of packages from
squeeze-backports (fonts-droid, libmp3lame0, libx264-120, libxvidcore4),
and a locally built backport of libcrystalhd3, and all the rest of the
dependencies come from squeeze.

> I presume if these are local packages, you're using reprepro
> or something similar to host a local archive. In such a case, you may
> as well build packages of libcrystalhd and upload them to your local
> archive. Then you can build mythtv.

I did end up building local packages of crystalhd and libcec, which
proved relatively straightforward.

> Note that mythtv is using it's own copy of ffmpeg. It needs to be
> modified so it can build/run with system libav before it can be
> uploaded to Debian. If that's something you're interested in doing, by
> all means, feel free to modify mythtv source tree, and preferably work
> with mythtv upstream to pass along patches.

Yeah, I do know about that problem.  Arguably not an issue for an upload
to Debian experimental; only an issue for having a version in a
security-supportable release.

Considering that upstream went out of their way to remove support for
system libav/ffmpeg (due to issues with different versions on end-user
systems, particularly versions of the command-line tools), I suspect
they might not like the idea of adding it back, or for that matter the
idea of adding support for using avconv rather than ffmpeg.  This needs
a long conversation with upstream before attempting to write a patch; no
sense writing a patch that'll never make it upstream.

- Josh Triplett




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Fri, 20 Jul 2012 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Fri, 20 Jul 2012 21:15:03 GMT) Full text and rfc822 format available.

Message #114 received at 570611@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 570611@bugs.debian.org
Subject: ITP: mythtv -- A personal video recorder application
Date: Fri, 20 Jul 2012 22:12:29 +0100
Hi, I've been using the deb-mulitmedia mythtv packages for many years
(thanx for that work), and having just had to re-install stuff and
noting the long existence of mythbuntu was wondering why there were
still no packages in Debian. So I came to this bug.

I'm happy to help out, and would also like to have it working on ARM
hardware too - not sure what the status of that is upstream, but I see
there are packgaes at deb-multimedia already for armel and armhf. I'd
better get testing...

So where are we at? Still waiting to sort out the internal library
thing properly, even though the 1st message from two years ago claims
a patch for that? Looks like the deb-m package uses the internal av* libs.

Josh have you started the 'long conversation' with upstream yet?

Is your packaging online somewhere? The verison at
http://anonscm.debian.org/gitweb/?p=collab-maint/mythtv.git stops in
March 2010

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sun, 03 Mar 2013 00:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sun, 03 Mar 2013 00:24:06 GMT) Full text and rfc822 format available.

Message #119 received at 570611@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Wookey <wookey@wookware.org>, "570611@bugs.debian.org" <570611@bugs.debian.org>
Subject: Re: Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 2 Mar 2013 19:21:50 -0500
[Message part 1 (text/plain, inline)]
On Friday, July 20, 2012, Wookey wrote:

> Hi, I've been using the deb-mulitmedia mythtv packages for many years
> (thanx for that work), and having just had to re-install stuff and
> noting the long existence of mythbuntu was wondering why there were
> still no packages in Debian. So I came to this bug.
>
> I'm happy to help out, and would also like to have it working on ARM
> hardware too - not sure what the status of that is upstream, but I see
> there are packgaes at deb-multimedia already for armel and armhf. I'd
> better get testing...
>
> So where are we at? Still waiting to sort out the internal library
> thing properly, even though the 1st message from two years ago claims
> a patch for that? Looks like the deb-m package uses the internal av* libs.
>
> Josh have you started the 'long conversation' with upstream yet?
>
> Is your packaging online somewhere? The verison at
> http://anonscm.debian.org/gitweb/?p=collab-maint/mythtv.git stops in
> March 2010
>
> Wookey
> --
> Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
> http://wookware.org/


Hi Wookey,
If you want to help with mythtv packaging, please start from the packaging
work done for Ubuntu at https://github.com/MythTV/packaging. The main
maintainer for the mythtv packages in Ubuntu is superm1.

Note that for Debian, the issue with using a fork of ffmpeg/libav will need
to be addressed. Last I checked, mythtv was still making changes to their
version of ffmpeg that were different from upstream ffmpeg/libav. There's
also the licensing issues from using openssl. With this, I believe you can
simply use the openssl wrapper provided by gnutls.

--
Andres


-- 
~ Andres
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Wed, 09 Oct 2013 20:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Limonciello <superm1@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Wed, 09 Oct 2013 20:00:04 GMT) Full text and rfc822 format available.

Message #124 received at 570611@bugs.debian.org (full text, mbox):

From: Mario Limonciello <superm1@gmail.com>
To: 570611@bugs.debian.org
Subject: Update
Date: Wed, 9 Oct 2013 14:56:56 -0500
[Message part 1 (text/plain, inline)]
Hi anyone following,

Just wanted to give you an update on where things are with this packaging.
 I've cleaned up a majority of the stuff I found with it on master, either
upstream, via an override, or in the packaging tree.  There are two lintian
errors I would like to get resolved and then we should push forward on this
again.

E: mythtv-common: package-installs-python-bytecode
usr/share/mythtv/internetcontent/nv_python_libs/vimeo/vimeo_data.pyc
Long story short this was so that the two part API key for vimeo wasn't put
"in the open".  I talked with the author and explained the situation
including that it explicitly didn't work with.  He gave me the source and
i'm going to try to get it pulled into mythtv upstream.  Once it's upstream
this should go away.

E: libmyth-0.28-0: possible-gpl-code-linked-with-openssl
It's possible to build without OpenSSL, and even further more to build some
parts with GNU TLS, but I don't understand the implications yet.  I think
it will break some Airplay streaming stuff.  Once I get confirmation on
that, I wanted to get upstream to just include an exception with their
license for OpenSSL stuff.

-- 
Mario Limonciello
superm1@gmail.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Fri, 27 Dec 2013 00:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Fri, 27 Dec 2013 00:45:11 GMT) Full text and rfc822 format available.

Message #129 received at 570611@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 570611@bugs.debian.org
Subject: Re: Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Fri, 27 Dec 2013 00:41:59 +0000
On Wed, 9 Oct 2013, Mario Limonciello wrote:

> Just wanted to give you an update on where things are with this packaging.
> I've cleaned up a majority of the stuff I found with it on master, either
> upstream, via an override, or in the packaging tree.  There are two lintian
> errors I would like to get resolved and then we should push forward on this
> again.
 
> E: mythtv-common: package-installs-python-bytecode
> E: libmyth-0.28-0: possible-gpl-code-linked-with-openssl

I tested your packages on Debian and they build and work - hooray!
However I did note a couple of issues and this seems like the only place
to report them right now.

1) Building: In wheezy imlib2-dev depends on libtiff-dev, whilst mythtv depends on
libtff5-dev and imlib2-dev preventing sbuild from building the package.
manually installing libtiff-dev and then building works OK. It may well
be that this issue does not arise on unstable. (not checked yet).

2) Installing: dpkg: error processing mythtv-common (--install)
chown: invalid user: syslog:adm
There is no syslog user but the install script assumes that there is. This looks wrong.

3) Running: The main one is there there is only an upstart file, not a sysvinit
file. Right now in Debian that's not very useful as the backend doesn't
start. This may be due to change, but for the time being this needs
fixing. I can do that if you like.

I also found the frontend package quite 'crashy': It ran for an hour or
two but then died watching live TV. I've not seen this on the 0.25
deb-multimedia I'm running on my main media box. I'll test this 0.27 on
there as soon as I sort the 'no init script' issue.

Other things that could be better: 
There are no man pages
The -doc package does not contain the ain docs PDF (or html). I think it should.

I'll test building on unstable and send in an initscript when I get a
mo. With the above fixed, and your lintian issues sorted then I think
it's good enough to do an initial upload.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Fri, 24 Jan 2014 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Fri, 24 Jan 2014 16:45:05 GMT) Full text and rfc822 format available.

Message #134 received at 570611@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 570611@bugs.debian.org
Subject: ITP: mythtv -- A personal video recorder application
Date: Fri, 24 Jan 2014 16:43:18 +0000
[Message part 1 (text/plain, inline)]
I did some more work on this package, fixing the things that were obvious issues on Debian:

Add init script
fix libtiff5-dev -> libtiff-dev build-dep issue
Fix nonexistent 'syslog' user in postinsts script of mythtv-common
Add -Wdeprecated-declarations so that mythtarchive plugin builds 
Add DEB_BUILD_OPTS noopt, nostrip support
Include a bit of extra info in README on getting started with mythtv-setup

The built packages are available at http://wookware.org/software/repo/pool/main/m/mythtv/
built for jessie

Attached is the diff against fixes/0.27 branch

I will test these and see if there are issues. 

Is there a more stable branch I should be working against, and if you
are happy with this stuff would it make sense to give me git access (or
do we have some kind of review process or some other place to ddiscuss
things than this bug?)

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[mythtv-0.27-debian-patches.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Sat, 25 Jan 2014 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Sat, 25 Jan 2014 01:57:04 GMT) Full text and rfc822 format available.

Message #139 received at 570611@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Wookey <wookey@wookware.org>
Cc: 570611@bugs.debian.org
Subject: Re: Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Sat, 25 Jan 2014 12:55:36 +1100
[Message part 1 (text/plain, inline)]
On Jan 25, 2014 3:45 AM, "Wookey" <wookey@wookware.org> wrote:
> Is there a more stable branch I should be working against, and if you
> are happy with this stuff would it make sense to give me git access (or
> do we have some kind of review process or some other place to ddiscuss
> things than this bug?)

Wookey,

This is the right place for discussion about getting mythtv into Debian.

Thanks for this work it looks useful but I won't be able to have good look
for a few days.

The two critical issues are :

1. Does it build against the Depends from Debian only, and

2. Does all the code within the upstream mythtv base meet the DFSG?

We have a team setup on alioth.debian.org called pkg-mythtv which hasn't
seen a lot of attention recent days, including an svn archive. Please login
to alioth and request membership of that team and I can grant you commit
access.

That would be a good place for you contributions to be stored.

Mark
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, amejia@debian.org:
Bug#570611; Package wnpp. (Thu, 30 Jan 2014 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, amejia@debian.org. (Thu, 30 Jan 2014 23:27:05 GMT) Full text and rfc822 format available.

Message #144 received at 570611@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Mark Purcell <msp@debian.org>
Cc: 570611@bugs.debian.org
Subject: Re: Bug#570611: ITP: mythtv -- A personal video recorder application
Date: Thu, 30 Jan 2014 23:26:10 +0000
+++ Mark Purcell [2014-01-25 12:55 +1100]:
> 
>    This is the right place for discussion about getting mythtv into Debian.
> 
>    Thanks for this work it looks useful but I won't be able to have good look
>    for a few days.
> 
>    The two critical issues are :
> 
>    1. Does it build against the Depends from Debian only, and

yes.

>    2. Does all the code within the upstream mythtv base meet the DFSG?

Good question. I note that there is over 350MB of it(!). I hope that's
mostly graphics, but of course those have licences too.

>    We have a team setup on [2]alioth.debian.org called pkg-mythtv which
>    hasn't seen a lot of attention recent days, including an svn archive.
>    Please login to alioth and request membership of that team and I can grant
>    you commit access.

done.

I tested the packages I built and they seem to work nicely. The
initscript does its job. I did get a hang in the video after an hour or
so. No idea which component is causing an issue there.

I'll try them on my real box next week.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Changed Bug title to 'RFP: mythtv -- A personal video recorder application' from 'ITP: mythtv -- A personal video recorder application' Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Thu, 03 Apr 2014 15:24:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by amejia@debian.org. Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Thu, 03 Apr 2014 15:24:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:33:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.